autotools: use correct version for gettext FIXUP
authorDirk Neukirchen <dirkneukirchen@web.de>
Wed, 12 Oct 2016 14:14:44 +0000 (16:14 +0200)
committerJo-Philipp Wich <jo@mein.io>
Thu, 13 Oct 2016 18:25:42 +0000 (20:25 +0200)
0.19.8.1 gettext-full uses "archive-version" of 0.19.8
to replace makros, leading to breakage of PKG_FIXUP:=gettext-version

Signed-off-by: Dirk Neukirchen <dirkneukirchen@web.de>
include/autotools.mk

index 259569b..63edd5b 100644 (file)
@@ -85,7 +85,7 @@ endef
 
 define gettext_version_target
        (cd $(PKG_BUILD_DIR) && \
-               GETTEXT_VERSION=$(shell $(STAGING_DIR)/host/bin/gettext -V | $(STAGING_DIR_HOST)/bin/sed -ne '1s/.* //p') && \
+               GETTEXT_VERSION=$(shell $(STAGING_DIR)/host/bin/gettext -V | $(STAGING_DIR_HOST)/bin/sed -ne '1s/.*\([0-9]\.[0-9]\{2\}\.[0-9]\).*/\1/p' ) && \
                $(STAGING_DIR_HOST)/bin/sed \
                        -i $(PKG_BUILD_DIR)/configure.ac \
                        -e "s/AM_GNU_GETTEXT_VERSION(.*)/AM_GNU_GETTEXT_VERSION(\[$$$$GETTEXT_VERSION\])/g" && \